<?php

namespace App\Models;

class PropertyPlaceFactTitleFactMapping extends BaseModel
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'property_place_fact_title_fact_mapping';
    protected $appends = [];

    const CREATED_AT = 'created_at';
    const UPDATED_AT = 'updated_at';

    protected $dateFormat = 'U';
    protected $guarded = [];

    /**
     * The attributes excluded from the model's JSON form.
     *
     * @var array
     */
    protected $hidden = [];

    /**
     * @return mixed
     */



    public function placeCategory()
    {
        return $this->hasOne('App\Models\PropertyPlaceCategory','id', 'place_category_id')
            ->select("id", "name", "language_key", "parent_id", "level", "order_number", "icon", "status");
    }

    public function placeFactTitle()
    {
        return $this->hasOne('App\Models\PropertyPlaceFactTitle','id', 'place_fact_title_id')
            ->select("id", "name", "language_key",  "icon", "status");
    }

    public function placeFact()
    {
        return $this->hasOne('App\Models\PropertyPlaceFact','id', 'place_fact_id')
            ->select("id", "name", "language_key",  "icon", "status");
    }


}
